Subject: Re: Using Cygwin on NT 4.0 and Win2000; a user experience
From: "Max Bowsher" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 19 May 2003 00:34:08 +0100

Martin Buchholz wrote:
>>> - The "grep" package comes with a grep.exe (and no file "grep"), but
>>> no egrep.exe (instead it has a "egrep").  Of course this is easy for
>>> the user to fix, but the package should be fixed as well.
>
> Max> There is nothing wrong here - it doesn't need to be fixed.
>
> There is non-zero support in Sun's Java SDK to allow building using
> Cygwin tools (although MKS is the "official" supported platform).
> In one of the Makefiles is this line:
>
> EGREP          = $(UNIXCOMMAND_PATH)egrep.exe
>
> Arguably, this is bad code.  You should run a command via its name,
> sans any .EXE extension.  But Cygwin should be consistent; either all
> executables are named FOO, or they're named FOO.EXE.  Make up your mind.

Except that we are consistent. *Real* executables have an .exe suffix.
Symlinks don't.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/